<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="com.liferay.document.library.web.internal.portlet.action.DLViewMVCRenderCommand">
  <property name="mvc.command.name" type="String">/
/document_library/view
/document_library/view_folder</property>
  <property name="javax.portlet.name" type="String">com_liferay_document_library_web_portlet_DLPortlet
com_liferay_document_library_web_portlet_DLAdminPortlet</property>
  <service>
    <provide interface="com.liferay.portal.kernel.portlet.bridges.mvc.MVCRenderCommand"/>
  </service>
  <reference name="_ddmStructureLinkLocalService" interface="com.liferay.dynamic.data.mapping.service.DDMStructureLinkLocalService" field="_ddmStructureLinkLocalService"/>
  <reference name="_ddmStructureService" interface="com.liferay.dynamic.data.mapping.service.DDMStructureService" field="_ddmStructureService"/>
  <reference name="_dlAdminDisplayContextProvider" interface="com.liferay.document.library.web.internal.display.context.DLAdminDisplayContextProvider" field="_dlAdminDisplayContextProvider"/>
  <reference name="_dlAppService" interface="com.liferay.document.library.kernel.service.DLAppService" field="_dlAppService"/>
  <reference name="_dlFolderLocalService" interface="com.liferay.document.library.kernel.service.DLFolderLocalService" field="_dlFolderLocalService"/>
  <reference name="_dlPortletToolbarContributorRegistry" interface="com.liferay.document.library.web.internal.portlet.toolbar.contributor.DLPortletToolbarContributorRegistry" field="_dlPortletToolbarContributorRegistry"/>
  <reference name="_dlTrashHelper" interface="com.liferay.document.library.web.internal.helper.DLTrashHelper" field="_dlTrashHelper"/>
  <reference name="_portal" interface="com.liferay.portal.kernel.util.Portal" field="_portal"/>
  <implementation class="com.liferay.document.library.web.internal.portlet.action.DLViewMVCRenderCommand"/>
</scr:component>
